共用方式為


Asset Endpoint Profiles - List By Resource Group

依資源群組列出 AssetEndpointProfile 資源

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.DeviceRegistry/assetEndpointProfiles?api-version=2026-04-01

URI 參數

名稱 位於 必要 類型 Description
resourceGroupName
path True

string

minLength: 1
maxLength: 90

資源群組的名稱。 名稱不區分大小寫。

subscriptionId
path True

string (uuid)

目標訂用帳戶的標識碼。 此值必須是 UUID。

api-version
query True

string

minLength: 1

用於此作業的 API 版本。

回應

名稱 類型 Description
200 OK

AssetEndpointProfileListResult

Azure 作業已順利完成。

Other Status Codes

ErrorResponse

未預期的錯誤回應。

安全性

azure_auth

Azure Active Directory OAuth2 Flow。

類型: oauth2
Flow: implicit
授權 URL: https://login.microsoftonline.com/common/oauth2/authorize

範圍

名稱 Description
user_impersonation 模擬您的用戶帳戶

範例

List_AssetEndpointProfiles_ByResourceGroup

範例要求

GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/myResourceGroup/providers/Microsoft.DeviceRegistry/assetEndpointProfiles?api-version=2026-04-01

範例回覆

{
  "value": [
    {
      "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/myResourceGroup/providers/Microsoft.DeviceRegistry/assetEndpointProfiles/my-assetendpointprofile",
      "name": "my-assetendpointprofile",
      "type": "Microsoft.DeviceRegistry/assetEndpointProfiles",
      "location": "West Europe",
      "extendedLocation": {
        "type": "CustomLocation",
        "name": "/subscriptions/00000000-0000-0000-0000-000000000000/resourcegroups/myResourceGroup/providers/microsoft.extendedlocation/customlocations/location1"
      },
      "tags": {
        "site": "building-1"
      },
      "systemData": {
        "createdBy": "2ta23112-4596-44ff-b773-19405922bfc1",
        "createdByType": "Application",
        "createdAt": "2022-11-16T00:36:43.2516899Z",
        "lastModifiedBy": "2ta23112-4596-44ff-b773-19405922bfc1",
        "lastModifiedByType": "Application",
        "lastModifiedAt": "2022-11-16T01:37:16.0922793Z"
      },
      "properties": {
        "uuid": "0796f7c1-f2c8-44d7-9f5b-9a6f9522a85d",
        "targetAddress": "https://www.example.com/myTargetAddress",
        "endpointProfileType": "myEndpointProfileType",
        "authentication": {
          "method": "Anonymous"
        },
        "provisioningState": "Succeeded"
      }
    },
    {
      "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/myResourceGroup/providers/Microsoft.DeviceRegistry/assetEndpointProfiles/my-assetendpointprofile1",
      "name": "my-assetendpointprofile1",
      "type": "Microsoft.DeviceRegistry/assetEndpointProfiles",
      "location": "West Europe",
      "extendedLocation": {
        "type": "CustomLocation",
        "name": "/subscriptions/00000000-0000-0000-0000-000000000000/resourcegroups/myResourceGroup/providers/microsoft.extendedlocation/customlocations/location1"
      },
      "tags": {
        "site": "building-2"
      },
      "systemData": {
        "createdBy": "2ta23112-4596-44ff-b773-19405922bfc1",
        "createdByType": "Application",
        "createdAt": "2022-11-16T00:36:43.2516899Z",
        "lastModifiedBy": "2ta23112-4596-44ff-b773-19405922bfc1",
        "lastModifiedByType": "Application",
        "lastModifiedAt": "2022-11-16T01:37:16.0922793Z"
      },
      "properties": {
        "uuid": "7824a74f-21e1-4458-ae06-604d3a241d2c",
        "targetAddress": "https://www.example.com/myTargetAddress1",
        "endpointProfileType": "myEndpointProfileType",
        "authentication": {
          "method": "Certificate",
          "x509Credentials": {
            "certificateSecretName": "certificatRef"
          }
        },
        "provisioningState": "Succeeded"
      }
    },
    {
      "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/myResourceGroup/providers/Microsoft.DeviceRegistry/assetEndpointProfiles/my-assetendpointprofile2",
      "name": "my-assetendpointprofile2",
      "type": "Microsoft.DeviceRegistry/assetEndpointProfiles",
      "location": "West Europe",
      "extendedLocation": {
        "type": "CustomLocation",
        "name": "/subscriptions/00000000-0000-0000-0000-000000000000/resourcegroups/myResourceGroup/providers/microsoft.extendedlocation/customlocations/location1"
      },
      "tags": {
        "site": "building-2"
      },
      "systemData": {
        "createdBy": "2ta23112-4596-44ff-b773-19405922bfc1",
        "createdByType": "Application",
        "createdAt": "2022-11-16T00:36:43.2516899Z",
        "lastModifiedBy": "2ta23112-4596-44ff-b773-19405922bfc1",
        "lastModifiedByType": "Application",
        "lastModifiedAt": "2022-11-16T01:37:16.0922793Z"
      },
      "properties": {
        "uuid": "1824a74f-21e1-4458-ae07-604d3a241d2e",
        "targetAddress": "https://www.example.com/myTargetAddress2",
        "endpointProfileType": "myEndpointProfileType",
        "authentication": {
          "method": "UsernamePassword",
          "usernamePasswordCredentials": {
            "usernameSecretName": "usernameRef",
            "passwordSecretName": "passwordRef"
          }
        },
        "provisioningState": "Succeeded"
      }
    }
  ]
}

定義

名稱 Description
AssetEndpointProfile

資產端點配置檔定義。

AssetEndpointProfileListResult

AssetEndpointProfile 清單作業的回應。

AssetEndpointProfileStatus

定義資產端點配置檔狀態屬性。

AssetEndpointProfileStatusError

定義資產端點配置檔狀態錯誤屬性。

Authentication

伺服器客戶端驗證機制的定義。

AuthenticationMethod

在伺服器上驗證客戶端使用者的方法。

createdByType

建立資源的身分識別類型。

ErrorAdditionalInfo

資源管理錯誤其他資訊。

ErrorDetail

錯誤詳細數據。

ErrorResponse

錯誤回應

ExtendedLocation

擴充位置。

ProvisioningState

資源的布建狀態。

systemData

與建立和上次修改資源相關的元數據。

UsernamePasswordCredentials

驗證模式 UsernamePassword 的認證。

X509Credentials

驗證模式憑證的 x509 憑證。

AssetEndpointProfile

資產端點配置檔定義。

名稱 類型 Description
extendedLocation

ExtendedLocation

擴充位置。

id

string (arm-id)

資源的完整資源標識碼。 例如,“/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}”

location

string

資源所在的地理位置

name

string

資源的名稱

properties.additionalConfiguration

string

包含連線類型特定進一步設定的字串化 JSON(例如 OPC UA、Modbus、ONVIF)。

properties.authentication

Authentication

定義伺服器的客戶端驗證機制。

properties.discoveredAssetEndpointProfileRef

string

探索到的資產端點配置文件參考。 只有在已從探索流程建立資產端點設定檔時,才會填入 。 必須提供探索到的資產端點配置檔名稱。

properties.endpointProfileType

string

定義用於端點配置檔之連接器類型的組態。

properties.provisioningState

ProvisioningState

資源布建狀態。

properties.status

AssetEndpointProfileStatus

唯讀物件,以反映 Edge 上發生的變更。 類似於自訂資源的 Kubernetes 狀態屬性。

properties.targetAddress

string (uri)

指定南行裝置之網路位址/DNS 名稱的本機有效 URI。 targetAddress URI 的配置部分會指定裝置的類型。 additionalConfiguration 字段會保存進一步的連接器類型特定組態。

properties.uuid

string

全域唯一、不可變、不可重複使用的 ID。

systemData

systemData

包含 createdBy 和 modifiedBy 資訊的 Azure Resource Manager 元數據。

tags

object

資源標籤。

type

string

資源的類型。 例如「Microsoft.Compute/virtualMachines」或「Microsoft.Storage/storageAccounts」

AssetEndpointProfileListResult

AssetEndpointProfile 清單作業的回應。

名稱 類型 Description
nextLink

string (uri)

專案下一頁的連結

value

AssetEndpointProfile[]

此頁面上的 AssetEndpointProfile 專案

AssetEndpointProfileStatus

定義資產端點配置檔狀態屬性。

名稱 類型 Description
errors

AssetEndpointProfileStatusError[]

陣列物件,用於傳輸和保存源自 Edge 的錯誤。

AssetEndpointProfileStatusError

定義資產端點配置檔狀態錯誤屬性。

名稱 類型 Description
code

integer (int32)

錯誤分類的錯誤代碼(例如:400、404、500 等)。

message

string

人類可讀的有用錯誤訊息,以提供錯誤的其他內容 (例如:「targetAddress 'foo' is not a valid url」)。

Authentication

伺服器客戶端驗證機制的定義。

名稱 類型 預設值 Description
method

AuthenticationMethod

Certificate

定義方法,以在伺服器上驗證客戶端的使用者。

usernamePasswordCredentials

UsernamePasswordCredentials

定義選取 UsernamePassword 使用者驗證模式時的使用者名稱和密碼參考。

x509Credentials

X509Credentials

定義選取 [憑證用戶驗證模式] 時的憑證參考。

AuthenticationMethod

在伺服器上驗證客戶端使用者的方法。

Description
Anonymous

使用者驗證方法是匿名的。

Certificate

使用者驗證方法是 x509 憑證。

UsernamePassword

使用者驗證方法是使用者名稱和密碼。

createdByType

建立資源的身分識別類型。

Description
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

資源管理錯誤其他資訊。

名稱 類型 Description
info

object

其他資訊。

type

string

其他信息類型。

ErrorDetail

錯誤詳細數據。

名稱 類型 Description
additionalInfo

ErrorAdditionalInfo[]

錯誤其他資訊。

code

string

錯誤碼。

details

ErrorDetail[]

錯誤詳細數據。

message

string

錯誤訊息。

target

string

錯誤目標。

ErrorResponse

錯誤回應

名稱 類型 Description
error

ErrorDetail

error 物件。

ExtendedLocation

擴充位置。

名稱 類型 Description
name

string

擴充位置名稱。

type

string

擴充位置類型。

ProvisioningState

資源的布建狀態。

Description
Succeeded

資源已建立。

Failed

資源建立失敗。

Canceled

資源建立已取消。

Accepted

伺服器已接受資源。

Deleting

資源正在刪除。

systemData

與建立和上次修改資源相關的元數據。

名稱 類型 Description
createdAt

string (date-time)

資源建立的時間戳(UTC)。

createdBy

string

建立資源的身分識別。

createdByType

createdByType

建立資源的身分識別類型。

lastModifiedAt

string (date-time)

資源上次修改的時間戳記 (UTC)

lastModifiedBy

string

上次修改資源的身分識別。

lastModifiedByType

createdByType

上次修改資源的身分識別類型。

UsernamePasswordCredentials

驗證模式 UsernamePassword 的認證。

名稱 類型 Description
passwordSecretName

string

包含密碼的秘密名稱。

usernameSecretName

string

包含使用者名稱的秘密名稱。

X509Credentials

驗證模式憑證的 x509 憑證。

名稱 類型 Description
certificateSecretName

string

包含憑證和私鑰的秘密名稱(例如儲存為 .der/.pem 或 .der/.pfx)。